#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	alsa-utils
Version		:	1.2.9
Release		:	14.8.0.0%{?dist}
Summary		:	Various utilities which are useful for controlling your sound card.
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	ftp://ftp.alsa-project.org/pub/utils/

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	alsa-lib
BuildRequires	:	apr
BuildRequires	:	eudev-devel

Requires	:	alsa-lib
#-----------------------------------------------------------------------------
%description
This package contains the command line utilities for the ALSA project.
The package can be compiled only with the installed ALSA driver and
the ALSA C library.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README.md
%{_bindir}/*
%{_sbindir}/%{sname}*
%{_datadir}/%{sname}/init/*
%{_libdir}/udev/rules.d/90-%{sname}-restore.rules
%{_libdir}/alsa-topology/libalsatplg_module_nhlt.so
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/sounds/%{sname}/*.wav
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q

#sysdeps.c is not needed with glibc-2.38
sed -i							\
  -e "s/__GLIBC/__OLDGLIBC/"				\
  alsactl/init_sysdeps.c

#-----------------------------------------------------------------------------
#building application
%build

autoconf -f -i
./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--disable-alsaconf				\
	--disable-bat					\
	--disable-xmlto					\
	--with-curses=ncursesw				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
